This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### | (bitwise OR)
Examples |
    int a = 205;   // In binary: 11001101
    int b = 45;    // In binary: 00101101
    int c = a | b; // In binary: 11101101
    println(c);    // Prints "237", the decimal equivalent to 11101101
    int a = 255 << 24; // Binary: 11111111000000000000000000000000
    int r = 204 << 16; // Binary: 00000000110011000000000000000000
    int g = 204 << 8;  // Binary  00000000000000001100110000000000
    int b = 51;        // Binary: 00000000000000000000000000110011
    // OR the values together:    11111111110011001100110000110011
    color argb = a | r | g | b;
    fill(argb);
    rect(30, 20, 55, 55);
Description | Compares each corresponding bit in the binary representation of the values. For each comparison two 1's yield 1, 1 and 0 yield 1, and two 0's yield 0. This is easy to see when we look at the binary representation of numbers
      11010110  // 214
    | 01011100  // 92
      --------
      11011110  // 222
To see the binary representation of a number, use the binary() function with println().
Syntax |
    value | value2
Parameters |
value1 | int, char, byte
value2 | int, char, byte
Related | & (bitwise AND) binary()

Updated on October 26, 2013 08:58:34pm PDT